# Genres

## View all Genres

## View all Genres.

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/genres`

View all Phantom Movies Genres.

#### Query Parameters

| Name                                          | Type   | Description  |
| --------------------------------------------- | ------ | ------------ |
| accessToken<mark style="color:red;">\*</mark> | String | Your API Key |

{% tabs %}
{% tab title="200 Genres" %}

```javascript
{
genres: [
{
id: 28,
name: "Action",
backdrop: "https://phantommovies.com/images/genre/Action-genre.jpg",
extra: "/3/movies/genre?Action"
},
{
id: 12,
name: "Adventure",
backdrop: "https://phantommovies.com/images/genre/Adventure-genre.jpg",
extra: "/3/movies/genre?Adventure"
},
{
id: 16,
name: "Animation",
backdrop: "https://phantommovies.com/images/genre/Animation-genre.jpg",
extra: "/3/movies/genre?Animation"
},
{
id: 410,
name: "Biography",
backdrop: "https://phantommovies.com/images/genre/Biography-genre.jpg",
extra: "/3/movies/genre?Biography"
},
{
id: 35,
name: "Comedy",
backdrop: "https://phantommovies.com/images/genre/Comedy-genre.jpg",
extra: "/3/movies/genre?Comedy"
},
{
id: 80,
name: "Crime",
backdrop: "https://phantommovies.com/images/genre/Crime-genre.jpg",
extra: "/3/movies/genre?Crime"
},
{
id: 99,
name: "Documentary",
backdrop: "https://phantommovies.com/images/genre/Documentary-genre.jpg",
extra: "/3/movies/genre?Documentary"
},
{
id: 18,
name: "Drama",
backdrop: "https://phantommovies.com/images/genre/Drama-genre.jpg",
extra: "/3/movies/genre?Drama"
}
]
}
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

Search Movie using our official library, `node`:

{% hint style="warning" %}
Endpoint in development
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.phantommovies.com/api-reference/genres.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
